## parsedatetime 2.1

=== Makefile ===
.PHONY: docs test

help:
	@echo "  env         create a development environment using virtualenv"
	@echo "  clean       remove unwanted stuff"
	@echo "  lint        check style with flake8"
	@echo "  test        run tests"
	@echo "  build       generate source and wheel dist files"
	@echo "  upload      generate source and wheel dist files and upload them"

env:
	sudo easy_install pip && \
	pip install virtualenv && \
	virtualenv env && \
	. env/bin/activate && \
	pip install .

clean:
	rm -fr build
	rm -fr dist
	find . -name '*.pyc' -exec rm -f {} \;
	find . -name '*.pyo' -exec rm -f {} \;
	find . -name '*~' -exec rm -f {} \;

docs:
	epydoc --html --config epydoc.conf

lint:
	flake8 parsedatetime > violations.flake8.txt

test:
	nosetests

build: clean
	python setup.py sdist
	python setup.py bdist_wheel

upload: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

## parsedatetime 1.2

=== debian/changelog ===
parsedatetime (1.2-1) unstable; urgency=medium

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jackson Doak ]
  * Sync from ubuntu. Closes: #485054 #717991
  * Bump standards-version to 3.9.5 (no changes)
  * Use dh and debhelper 9 for building

  [ Vincent Cheng ]
  * Remove obsolete patches.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 02 Jun 2014 14:08:43 +1000

parsedatetime (1.2-0ubuntu1) utopic; urgency=medium

  * New upstream release. LP: #1302963
  * Drop use of dpatch

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 31 May 2014 07:11:02 +1000

parsedatetime (1.1.2-0ubuntu1) trusty; urgency=medium

  * New upstream version.
  * Build using source format 3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2014 11:17:43 +0100

parsedatetime (0.8.7-3ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:25:58 +0000

parsedatetime (0.8.7-3) unstable; urgency=low

  * Team Upload
  * No change rebuild to add python2.7 support and drop python2.5

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 May 2011 15:07:24 -0400

parsedatetime (0.8.7-2) unstable; urgency=low

  * Adding a patch to avoid a deprecation warning: PyICU was renamed to icu.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 11 Jul 2010 00:13:41 +0200

parsedatetime (0.8.7-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Bernd Zeimetz ]
  * New upstream version.
  * debian/README.source: Adding file as required by policy.
  * debian/rules: Remove MacOS ressource files from documentation directory.
  * debian/copyright: Updating file, removing embedded Apache 2.0 license,
    link to common-licenses. 
  * debian/control:
    - Depends on base-files >= 4.0.4 to have the Apache
      License copy installed.
    - Bumping Standards-Version to 3.8.1

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Mar 2009 09:10:42 +0100

parsedatetime (0.8.6-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Bernd Zeimetz ]
  * New upstream version.
  * debian/patches:
    - Dropping locale-de.dpatch, patch was applied by upstream.
  * debian/rules:
    - Enabling build tests again, as they were fixed by uptsream.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 21 Apr 2008 10:09:17 +0200

parsedatetime (0.8.5-2) unstable; urgency=low

  * debian/patches:
    - Adding locale-de.dpatch to add de_DE locale constants to
      parsedatetime_consts.py.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 19 Dec 2007 15:06:33 +0100

parsedatetime (0.8.5-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - Updating my email address.
    - Updating Standards-Version to 3.7.3.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 13 Dec 2007 20:13:20 +0100

parsedatetime (0.8.4-1) unstable; urgency=low

  * Initial release (Closes: #449034).

 -- Bernd Zeimetz <bernd@bzed.de>  Sun, 18 Nov 2007 23:43:16 +0100

=== debian/control ===
Source: parsedatetime
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.5
Homepage: https://pypi.python.org/pypi/parsedatetime/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/parsedatetime/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/parsedatetime/trunk/

Package: python-parsedatetime
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, base-files (>= 4.0.4)
Recommends: python-pyicu
Description: Python module to parse human-readable date/time expressions
 parsedatetime is able to parse, for example, the following:
 .
   * August 25th, 2008
   * 25 Aug 2008
   * Aug 25 5pm
   * 5pm August 25
   * next saturday
   * tomorrow
   * next thursday at 4pm
   * at 4pm
   * eod
   * tomorrow eod
   * eod tuesday
   * eoy
   * eom
   * in 5 minutes
   * 5 minutes from now
   * 5 hours before now
   * 2 hours before noon
   * 2 days from tomorrow

## parsedatetime 1.4

=== debian/changelog ===
parsedatetime (1.4-1) unstable; urgency=medium

  * New upstream version 
  * Add python-setuptools as build-dependency
  * Use README.rst instead of README.md

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Oct 2014 12:46:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-setuptools
 Standards-Version: 3.9.5
 Homepage: https://pypi.python.org/pypi/parsedatetime/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/parsedatetime/trunk/

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/parsedatetime/parsedatetime-([0-9.]*).tar.gz

## parsedatetime 2.1

=== debian/changelog ===
parsedatetime (2.1-3) unstable; urgency=medium

  * Add patch to fix FTBFS error after February. Closes: #856625.

 -- Brian May <bam@debian.org>  Sat, 11 Mar 2017 11:46:48 +1100

parsedatetime (2.1-2) unstable; urgency=medium

  * Team upload.
  * python_distutils buildsystem was being autodetected previously, but
    now makefile is autodetected; select pybuild explicitly instead as
    this will run the tests for us automatically (closes: #838881).
  * Add dh-python to Build-Depends.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 28 Sep 2016 03:05:44 +0200

parsedatetime (2.1-1) unstable; urgency=medium

  [ SVN-Git Migration ]
  * [c93b4f5] Initialize git-dpm
  * [acb4987] git-dpm config
  * [0cc61ed] Update Vcs fields for git migration

  [ Ondřej Nový ]
  * [185f2b8] Fixed VCS URL (https)

  [ Bernd Zeimetz ]
  * [1e12a2f] Merge tag 'upstream/2.1'
    Upstream version 2.1
  * [8da7518] THANKS.txt was removed.
  * [42a8b28] depend on python-nose for nosetest.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Sep 2016 14:13:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-setuptools
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-setuptools, python-nose, dh-python
 Standards-Version: 3.9.5
 Homepage: https://pypi.python.org/pypi/parsedatetime/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/parsedatetime/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/parsedatetime/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/parsedatetime.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/parsedatetime.git
 
 Package: python-parsedatetime
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem pybuild

## parsedatetime 2.4

=== Makefile ===
.PHONY: docs test

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    BREWPATH = $(shell brew --prefix)
    PYICU_LD = -L${BREWPATH}/opt/icu4c/lib
    PYICU_CPP = -I${BREWPATH}/opt/icu4c/include
	ICU_VER = 58.2
else
    PYICU_LD =
    PYICU_CPP =
	ICU_VER =
endif

help:
	@echo "  env         install all production dependencies"
	@echo "  dev         install all dev and production dependencies (virtualenv is assumed)"
	@echo "  clean       remove unwanted stuff"
	@echo "  lint        check style with flake8"
	@echo "  test        run tests"
	@echo "  build       generate source and wheel dist files"
	@echo "  upload      generate source and wheel dist files and upload them"

env:
	pip install -U pip

dev: env
	pip install -Uqr requirements.testing.txt | tee
	@echo "on OS X use homebrew to install icu4c"
	LDFLAGS=${PYICU_LD} CPPFLAGS=${PYICU_CPP} ICU_VERSION=${ICU_VER} \
    pip install -U pyicu
	pyenv install -s 2.6.9
	pyenv install -s 2.7.11
	pyenv install -s 3.6.1
	pyenv install -s pypy-5.3
	pyenv local 2.6.9 2.7.11 3.6.1 pypy-5.3

info:
	@python --version
	@pyenv --version
	@pip --version

clean:
	rm -fr build
	rm -fr dist
	find . -name '*.pyc' -exec rm -f {} \;
	find . -name '*.pyo' -exec rm -f {} \;
	find . -name '*~' -exec rm -f {} \;

docs:
	epydoc --html --config epydoc.conf

lint:
	flake8 parsedatetime > violations.flake8.txt

test: lint
	python setup.py test

tox: clean
	tox

coverage: clean
	@coverage run --source=parsedatetime setup.py test
	@coverage html
	@coverage report

ci: tox coverage
	CODECOV_TOKEN=`cat .codecov-token` codecov

build: clean
	python setup.py check
	python setup.py sdist
	python setup.py bdist_wheel

upload: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

=== debian/changelog ===
parsedatetime (2.4-2) unstable; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Update the gbp configuration
  * Remove superfluous ${shlibs:Depends}
  * Release to unstable

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 17 Jul 2017 14:01:37 +0100

parsedatetime (2.4-1) experimental; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Upgrade watch file to version 4
  * New upstream version 2.4
  * Drop the patch queue, no longer required
  * Add support for the nocheck build profile
  * Normalize the Vcs-Browser URI
  * Upgrade copyright to format 1.0
  * Bump debhelper version to 10, no changes required
  * Bump standards version to 4.0.0, no changes required
  * Fixup the DEP-8 tests

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 12 Jul 2017 11:58:04 +0100

parsedatetime (2.3-1) experimental; urgency=medium

  * Team upload

  [ Harlan Lieberman-Berg ]
  * New upstream version 2.3 (Closes: #717991)

  [ Ghislain Antony Vaillant ]
  * Switch from git-dpm to gbp
  * Drop the patch queue, applied upstream
  * cme fix dpkg-control
    - Drop versioned b-dep on python-all
    - Bump Standards-Version to 3.9.8, no changes required
    - Drop versioned i-dep on base-files
    - Overall reordering of fields, wrap and sort
  * Replace b-dep on nose by pytest and pytest-runner
  * Ensure only test targets require pytest-runner
    - New patch Conditional-requirement-on-pytest-runner.patch
  * Add the necessary test args for pybuild
  * Support the non-standard pytest config used upstream
    - New patch Add-upstream-pytest-configuration.patch
  * Build binary packages for Python 3.
    Thanks to Paul Tagliamonte for reporting (Closes: #782926)
  * Add autopkgtests running the upstream test suite

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 11 Mar 2017 11:18:06 +0000

=== debian/control ===
Source: parsedatetime
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-all,
               python-pytest <!nocheck>,
               python-pytest-runner <!nocheck>,
               python-setuptools,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/parsedatetime.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/parsedatetime.git
Homepage: https://pypi.python.org/pypi/parsedatetime/

Package: python-parsedatetime
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Recommends: python-pyicu
Description: Python module to parse human-readable date/time expressions
 parsedatetime is able to parse, for example, the following:
 .
   * August 25th, 2008
   * 25 Aug 2008
   * Aug 25 5pm
   * 5pm August 25
   * next saturday
   * tomorrow
   * next thursday at 4pm
   * at 4pm
   * eod
   * tomorrow eod
   * eod tuesday
   * eoy
   * eom
   * in 5 minutes
   * 5 minutes from now
   * 5 hours before now
   * 2 hours before noon
   * 2 days from tomorrow
 .
 This package provides the modules for Python 2.

Package: python3-parsedatetime
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python-pyicu
Description: Python 3 module to parse human-readable date/time expressions
 parsedatetime is able to parse, for example, the following:
 .
   * August 25th, 2008
   * 25 Aug 2008
   * Aug 25 5pm
   * 5pm August 25
   * next saturday
   * tomorrow
   * next thursday at 4pm
   * at 4pm
   * eod
   * tomorrow eod
   * eod tuesday
   * eoy
   * eom
   * in 5 minutes
   * 5 minutes from now
   * 5 hours before now
   * 2 hours before noon
   * 2 days from tomorrow
 .
 This package provides the modules for Python 3.

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests/Test*.py
 ; done
Depends: python-all,
         python-parsedatetime,
         python-pytest

Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests/Test*.py
 ; done
Depends: python3-all,
         python3-parsedatetime,
         python3-pytest

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/parsedatetime/parsedatetime@ANY_VERSION@@ARCHIVE_EXT@

## parsedatetime 2.6

=== Makefile ===
.PHONY: dev info clean docs lint test

help:
	@echo "  dev         install all dev and production dependencies (virtualenv is assumed)"
	@echo "  clean       remove unwanted stuff"
	@echo "  lint        check style with flake8"
	@echo "  test        run tests"
	@echo "  build       generate source and wheel dist files"
	@echo "  upload      generate source and wheel dist files and upload them"

dev:
	pipenv install --dev --python 3.7

info:
	@pipenv --version
	@pipenv run python --version

clean:
	rm -fr build
	rm -fr dist
	find . -name '*.pyc' -exec rm -f {} \;
	find . -name '*.pyo' -exec rm -f {} \;
	find . -name '*~' -exec rm -f {} \;

docs:
	pipenv run epydoc --html --config epydoc.conf

lint:
	pipenv run flake8 parsedatetime > violations.flake8.txt

test:
	pipenv run python setup.py test

tox: clean
	pipenv run tox

coverage: clean
	@pipenv run coverage run --source=parsedatetime setup.py test
	@pipenv run coverage html
	@pipenv run coverage report

build: clean
	pipenv run python setup.py check
	pipenv run python setup.py sdist
	pipenv run python setup.py bdist_wheel

upload: clean
	pipenv run python setup.py sdist upload
	pipenv run python setup.py bdist_wheel upload

=== debian/changelog ===
parsedatetime (2.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 16:40:46 +0100

parsedatetime (2.6-2) unstable; urgency=medium

  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 14:03:06 +0100

parsedatetime (2.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Gordon Ball ]
  * Update homepage/watch URL
  * New upstream version 2.6

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 16:24:19 +0000

parsedatetime (2.4-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937240

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 10:16:44 -0400

parsedatetime (2.4-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat.

  [ Harlan Lieberman-Berg ]
  * Drop get-orig-source from d/rules
  * Bump dh to 12, remove dep on dpkg-dev
  * Add Rules-Requires-Root for policy compliance
  * Bump S-V to 4.4.1 now that changes have been made.
  * Duplicate Closes from previous never-uploaded release (Closes: #881213)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 12 Nov 2019 22:21:34 -0500

parsedatetime (2.4-3) unstable; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Fix Recommends on PyICU for Python 3.
    Thanks to Gordon Ball for reporting (Closes: #881213)
  * Drop superfluous nocheck guards
  * Add missing DH_VERBOSE preamble
  * Add recommended get-orig-source target
  * Fixup the Vcs-Browser URI
  * Bump the standards version to 4.1.1
  * Fix trailing whitespaces in changelog

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 13 Nov 2017 12:42:25 +0000

=== debian/control ===
Source: parsedatetime
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/parsedatetime
Vcs-Git: https://salsa.debian.org/python-team/packages/parsedatetime.git
Homepage: https://github.com/bear/parsedatetime
Rules-Requires-Root: no

Package: python3-parsedatetime
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-icu
Description: Python 3 module to parse human-readable date/time expressions
 parsedatetime is able to parse, for example, the following:
 .
   * August 25th, 2008
   * 25 Aug 2008
   * Aug 25 5pm
   * 5pm August 25
   * next saturday
   * tomorrow
   * next thursday at 4pm
   * at 4pm
   * eod
   * tomorrow eod
   * eod tuesday
   * eoy
   * eom
   * in 5 minutes
   * 5 minutes from now
   * 5 hours before now
   * 2 hours before noon
   * 2 days from tomorrow
 .
 This package provides the modules for Python 3.

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests/Test*.py
 ; done
Depends: python3-all,
         python3-parsedatetime,
         python3-pytest
